PHP aktualisieren

Apache, Lighttpd, nginx, Cherokee
patrickheppler
Posts: 9
Joined: 2007-05-20 10:39

PHP aktualisieren

Post by patrickheppler » 2007-05-20 14:58

Hallo,
ich habe hier einen Redhat ES4 mit Apache 2.x, PHP 4.3.9 und Plesk 8.1.
Nun möchte ich auf PHP 4.4.7 wechseln. Kann ich das Problemlos installieren oder kann dabei Plesk aussteigen?

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: PHP aktualisieren

Post by Roger Wilco » 2007-05-20 15:03

Letzteres.

patrickheppler
Posts: 9
Joined: 2007-05-20 10:39

Re: PHP aktualisieren

Post by patrickheppler » 2007-05-20 15:07

Roger Wilco wrote:Letzteres.
Bitte nicht so präzise ;)
Was muss beachtet werden, damit das Update läuft?

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: PHP aktualisieren

Post by Roger Wilco » 2007-05-20 15:11

Benötigst du unbedingt ein Feature von PHP 4.4.7? Ansonsten bleib einfach bei den Paketen deiner Distribution.

patrickheppler
Posts: 9
Joined: 2007-05-20 10:39

Re: PHP aktualisieren

Post by patrickheppler » 2007-05-20 15:15

Das Problem ist, das mein derzeitiges PHP kein phpize beinhaltet, warum auch immer. Ich benötige phpize für die Installation eines PECL Moduls

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: PHP aktualisieren

Post by Roger Wilco » 2007-05-20 15:24

php-devel installiert?

patrickheppler
Posts: 9
Joined: 2007-05-20 10:39

Re: PHP aktualisieren

Post by patrickheppler » 2007-05-20 16:23

Sorry ich bin bei Linux noch nicht so ganz durchgestiegen.
Ich habe jetzt mal nach php-devel gesucht, allerdings finde ich nur rpms für Fedora, Trustix, Mandriva. Aber nichts für Redhat. Eine Source zum kompilieren gibt es scheinbar nicht.

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: PHP aktualisieren

Post by Roger Wilco » 2007-05-20 16:28

Code: Select all

yum install php-devel

patrickheppler
Posts: 9
Joined: 2007-05-20 10:39

Re: PHP aktualisieren

Post by patrickheppler » 2007-05-20 16:31

Code: Select all

-bash: yum: command not found
Ich habe mir jetzt mal php-4.3.9-3.src.rpm geladen.

Code: Select all

 rpm -ivh php-4.3.9-3.src.rpm
Warnung: php-4.3.9-3.src.rpm: V3 DSA signature: NOKEY, key ID 4f2a6fd2
   1:php                    ########################################### [100%]
phpize läuft trotzdem nicht.
Last edited by patrickheppler on 2007-05-20 17:00, edited 1 time in total.

philwo
Posts: 24
Joined: 2006-05-12 02:05

Re: PHP aktualisieren

Post by philwo » 2007-05-20 16:58

Eher nicht. Die Source Packages sind eher für erfahrene Linux-Admins, die einen guten Grund haben, das Paket nochmal neu zu kompilieren.

Wie installierst du überhaupt Pakete, wenn du Yum nicht drauf hast? Ich dachte immer, das sei bei RedHat Standard.. auf jeden Fall solltest du schauen, wie du das installiert kriegst, dann kannst du damit nach anderen Paketen suchen (z.B. nach allen PHP Paketen - irgendwo wird phpize schon drin sein). Sobald man anfängt - ohne Erfahrung und ohne alle Nebenwirkungen und Fallstricke zu beachten - Programme vom Sourcecode zu installieren, ist das Linux-System dem Untergang geweiht ;) Denn dann hat man plötzlich Abhängigkeitskonflikte oder doppelte Dateien, inkompatible Dateien, die noch von der alten Version übrig sind, ... eklig. ;)